Retrieves all resource categories.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/resources/categories \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/resources/categories"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/resources/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"isVisible": true,
"isEnabled": true
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}wawi
Retrieves all resource categories.
Retrieves all resource categories.
Paged query. Query parameters: pageNumber (default 1), pageSize (default 100). Sorting via sortBy (comma-separated fields, applied as OrderBy then ThenBy) and sortDescending (default false).
GET
/
v2
/
resources
/
categories
Retrieves all resource categories.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Query Parameters
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Was this page helpful?